/* Flexnav Base Styles */
.flexnav {
  -webkit-transition: none;
  -moz-transition: none;
  -ms-transition: none;
  transition: none;
  -webkit-transform-style: preserve-3d;
  overflow: hidden;
  margin: 0 auto;
  width: 100%;
  max-height: 0;
  padding: 0; }

.flexnav.opacity {
  opacity: 0; }

.flexnav.flexnav-show {
  max-height: 2000px;
  opacity: 1;
  -webkit-transition: all .5s ease-in-out;
  -moz-transition: all .5s ease-in-out;
  -ms-transition: all .5s ease-in-out;
  transition: all .5s ease-in-out; }

.flexnav.one-page {
  position: fixed;
  top: 3rem;
  right: 5%;
  max-width: 200px; }

.flexnav li {
  font-size: 100%;
  position: relative;
  overflow: hidden; }

.flexnav li.menu-item-has-children {
  padding-right: 4rem; }

.flexnav li a {
  position: relative;
  display: block;
  padding: .75rem;
  z-index: 2;
  overflow: hidden;
  color: #222222; }

.flexnav li ul {
  margin: 0;
  padding: 0; }

.flexnav li ul li {
  font-size: 100%;
  position: relative;
  width: 100%; }

.flexnav li ul.flexnav-show li {
  overflow: visible; }

.flexnav li ul li a {
  display: block; }

.flexnav .touch-button {
  position: absolute;
  z-index: 999;
  top: 0;
  right: 0;
  text-align: center;
  width: 4rem;
  vertical-align: middle; }

.flexnav .touch-button:hover {
  cursor: pointer; }

.flexnav .touch-button .fa {
  margin: auto;
  position: relative;
  font-size: 12px;
  color: #666; }

.menu-button {
  position: relative;
  display: block;
  padding: 1em;
  color: #222222;
  cursor: pointer; }

.menu-button.one-page {
  position: fixed;
  top: 0;
  right: 5%;
  padding-right: 45px; }

.menu-button .touch-button {
  background: transparent;
  position: absolute;
  z-index: 999;
  top: 0;
  right: 0;
  width: 4rem;
  height: 4rem;
  display: inline-block;
  text-align: center; }

.menu-button .touch-button .navicon {
  font-size: 12px;
  position: relative;
  color: #666; }

@media all and (min-width: 800px) {
  body.one-page {
    padding-top: 70px; }

  .flexnav {
    overflow: visible; }

  .flexnav.opacity {
    opacity: 1; }

  .flexnav.one-page {
    top: 0;
    right: auto;
    max-width: 1080px; }

  .flexnav li {
    position: relative;
    list-style: none;
    float: left;
    display: block;
    overflow: visible;
    width: auto; }

  .flexnav li a {
    line-height: 3rem; }

  .flexnav li > ul {
    display: none;
    position: absolute;
    top: auto;
    right: 0;
    width: 100%; }

  .flexnav li:hover > ul {
    display: block !important; }

  .flexnav li ul li > ul {
    left: 100%;
    top: 0; }

  .flexnav li ul.open {
    display: block;
    opacity: 1;
    visibility: visible;
    z-index: 1; }

  .flexnav .touch-button {
    display: flex;
    height:100%;
    }

  .flexnav li ul.open li {
    overflow: visible; }

  .flexnav li ul.open ul.open {
    left: 100%;
    top: 0; }

  .menu-button {
    display: none; } }
